%define upstream_name Config-INI-Simple
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	Artistic and GPL
Group:		Development/Perl
Summary:	Simple reading and writing from an INI file--with preserved comments
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Url:		http://search.cpan.org/dist/%{upstream_name}
BuildRequires:	perl-devel

BuildArch: noarch

%description
Config::INI::Simple is for very simplistic reading and writing of INI files. 
A new object must be created for each INI file (an object keeps all the data 
read in from an INI which is used on the write method to write to the INI).

It also keeps all your comments and original order intact.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%{perl_vendorlib}/Config/
%{_mandir}/man3/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-3.mga6
+ Revision: 1024297
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.0.0-2.mga6
+ Revision: 968924
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 sander85 <sander85> 1.0.0-1.mga6
+ Revision: 858088
- update to 1.00

* Wed Oct 15 2014 umeabot <umeabot> 0.02-8.mga5
+ Revision: 751181
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.02-7.mga5
+ Revision: 683982
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.02-6.mga4
+ Revision: 510224
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.02-5.mga3
+ Revision: 364646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.02-4.mga1
+ Revision: 10167
- imported package perl-Config-INI-Simple


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.02-4mdv2010.0
+ Revision: 430337
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.02-3mdv2009.0
+ Revision: 256090
- rebuild

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 0.02-1mdv2008.1
+ Revision: 164418
- update to new version 0.02

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Michael Scherer <misc@mandriva.org> 0.01-2mdv2008.0
+ Revision: 81738
- rebuild


* Wed Aug 09 2006 Michael Scherer <misc@mandriva.org> 0.01-1mdv2007.0
- First Mandriva package

